> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account



## OpenAPI

````yaml ../account-openapi.json GET /account/{account_id}
openapi: 3.0.1
info:
  title: Verisoul API
  description: The Verisoul API is used to integrate Verisoul into your application.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.verisoul.ai
security:
  - apiKeyAuth: []
paths:
  /account/{account_id}:
    get:
      description: Returns detailed information about a specific account
      parameters:
        - name: account_id
          in: path
          description: ID of the account to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Account information response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountResponse'
              example:
                project_id: 00000000-0000-0000-0000-000000000001
                request_id: 81fca4e3-0111-45b8-a8eb-0c2b638e1d29
                account:
                  id: john-doe
                  email: johndoe.example@gmail.com
                  metadata: {}
                  group: ''
                num_sessions: 1
                first_seen: '2025-06-10T16:47:29.661Z'
                last_seen: '2025-06-10T16:47:29.661Z'
                last_session: 56f9a065-1583-48af-a5c4-cd5921b21a12
                country: US
                countries:
                  - US
                decision: Real
                account_score: 0.2191
                bot: 0
                multiple_accounts: 0.2053
                risk_signals: 0.2979
                accounts_linked: 2
                lists:
                  - us_users
                unique_devices:
                  1_day: 1
                  7_day: 1
                unique_networks:
                  1_day: 1
                  7_day: 1
                email:
                  email: johndoe.example@gmail.com
                  disposable: false
                  personal: true
                  valid: true
                  domain_type: personal
                  email_score: 0
                  trust_signals:
                    - email_age_greater_than_5_years
                    - email_known_online_history
                  risk_signals:
                    - email_alias
                  num_account_from_domain: 156
                risk_signal_average:
                  device_risk: 0.3971
                  proxy: 0
                  vpn: 0
                  tor: 0
                  spoofed_ip: 0
                  datacenter: 0
                  recent_fraud_ip: 0
                  impossible_travel: 0
                  device_network_mismatch: 0.0001
                  location_spoofing: 0
        '400':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountError'
              example:
                statusCode: 400
                message: Account not found
components:
  schemas:
    AccountResponse:
      type: object
      properties:
        project_id:
          type: string
          description: The ID of the project
        request_id:
          type: string
          description: The ID of the request
        account:
          type: object
          properties:
            id:
              type: string
              description: The account identifier
            email:
              type: string
              description: The email associated with the account
            metadata:
              type: object
              additionalProperties: true
              description: Additional metadata about the account
            group:
              type: string
              description: >-
                Groups must be enabled for the project to use this field. See
                [Multi Accounting
                Groups](/integration/advanced/multi-accounting-groups) for more
                information.
        num_sessions:
          type: integer
          description: Number of sessions associated with this account
        first_seen:
          type: string
          format: date-time
          description: Timestamp when the account was first seen
        last_seen:
          type: string
          format: date-time
          description: Timestamp when the account was last seen
        last_session:
          type: string
          description: ID of the last session
        decision:
          type: string
          description: Decision about the account authenticity
        account_score:
          type: number
          format: float
          description: Overall account risk score
        bot:
          type: number
          format: float
          description: Bot detection score
        multiple_accounts:
          type: number
          format: float
          description: Multiple accounts detection score
        risk_signals:
          type: number
          format: float
          description: Risk signals score
        accounts_linked:
          type: integer
          description: Number of accounts linked to this account
        country:
          type: string
          description: Country code of the account
        lists:
          type: array
          items:
            type: string
          description: Lists the account belongs to
        unique_devices:
          type: object
          properties:
            1_day:
              type: integer
              description: Number of unique devices in the last day
            7_day:
              type: integer
              description: Number of unique devices in the last 7 days
        unique_networks:
          type: object
          properties:
            1_day:
              type: integer
              description: Number of unique networks in the last day
            7_day:
              type: integer
              description: Number of unique networks in the last 7 days
        email:
          type: object
          properties:
            email:
              type: string
              description: Email address
            disposable:
              type: boolean
              description: Whether the email is disposable
            personal:
              type: boolean
              description: Whether the email is personal
            valid:
              type: boolean
              description: Whether the email is valid
            domain_type:
              type: string
              enum:
                - relay
                - personal
                - disposable
                - business
                - government
                - education
                - impersonation
                - invalid
                - not_active
              description: >-
                The type of domain. See [Domain
                Types](/signals-scores/email#domain-types) for details.
            email_score:
              type: number
              format: float
              description: Email risk score from -1 (most trustworthy) to 1 (most risky)
            trust_signals:
              type: array
              items:
                type: string
              description: >-
                Array of trust signals detected for this email. See [Trust
                Flags](/signals-scores/email#trust-flags) for descriptions.
            risk_signals:
              type: array
              items:
                type: string
              description: >-
                Array of risk signals detected for this email. See [Risk
                Flags](/signals-scores/email#risk-flags) for descriptions.
            num_account_from_domain:
              type: integer
              description: >-
                Number of accounts from the same apex domain seen in your
                project. Capped at 1000. See [Domain Account
                Velocity](/signals-scores/email#domain-account-velocity) for
                details.
        risk_signal_average:
          type: object
          properties:
            device_risk:
              type: number
              format: float
              description: Device risk score
            proxy:
              type: number
              format: float
              description: Proxy detection score
            vpn:
              type: number
              format: float
              description: VPN detection score
            datacenter:
              type: number
              format: float
              description: Datacenter detection score
            tor:
              type: number
              format: float
              description: Tor detection score
            spoofed_ip:
              type: number
              format: float
              description: Spoofed IP detection score
            recent_fraud_ip:
              type: number
              format: float
              description: Recent fraud IP detection score
            impossible_travel:
              type: number
              format: float
              description: Impossible travel detection score
            device_network_mismatch:
              type: number
              format: float
              description: Device network mismatch score
            location_spoofing:
              type: number
              format: float
              description: Location spoofing detection score
    AccountError:
      type: object
      properties:
        message:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: Status code
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````